Subject: Re: Available for test: gcc-3.1.1-1, gcc2-2.95.3-6, and gcc-mingw-3_1-20020516-1
From: Paul Butcher <[email-masked]>
To: [email-masked]
Date: Tue, 9 Jul 2002 09:44:55 +0100

Nicholas Wourms <nwourms at yahoo dot com> wrote:
>--- Christopher Faylor <[email-masked]> wrote:
>> 
>> Nope.  I am not interested in supporting objective c at this point.  If
>> I was it would be a separate package anyway.
>
> Well will there be a point at which you will be?  Porting some, if not
> all, of the GNUStep environment can't happen until you do so.  Hopefully
> when you see it fit to provide Ada support, you will provide the
> objective-c compiler.  If you don't want to support it ever, will you
> allow someone else to package it and submit for "official" inclusion?

Can I put another vote in for this one - the lack of objC in recent cygwin 
gcc builds has been a real problem forcing people to use the mingw gcc.  I've 
recently compiled gcc V3.1 with cygwin including objC with no problem so 
there doesn't seem to be much "support" needed.  The size added to the 
overall package is negligable, certainly compared to F77 which probably ought 
to be separately packaged, like ADA.

(It works even better if you replace the libobjc with that from GNUstep as 
this allows DLLs and makes the runtime a DLL.)

Otherwise well done for getting gcc 3.x into cygwin build at last - look 
forward to the fully released version when ready.  Will be interesting if you 
can get libgcj working too as you're currently trying to do.

Paul Butcher
Alton, Hants, UK

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/